org.jgrapht.event

## Interface TraversalListener<V,E>

- All Known Implementing Classes:
    TraversalListenerAdapter

      public interface TraversalListener<V,E>

  A listener on graph iterator or on a graph traverser.
  Since:
    Jul 19, 2003
  Author:
    Barak Naveh

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `connectedComponentFinished(ConnectedComponentTraversalEvent e)` Called to inform listeners that the traversal of the current connected component has finished.
    `void` | `connectedComponentStarted(ConnectedComponentTraversalEvent e)` Called to inform listeners that a traversal of a new connected component has started.
    `void` | `edgeTraversed(EdgeTraversalEvent<V,E> e)` Called to inform the listener that the specified edge have been visited during the graph traversal.
    `void` | `vertexFinished(VertexTraversalEvent<V> e)` Called to inform the listener that the specified vertex have been finished during the graph traversal.
    `void` | `vertexTraversed(VertexTraversalEvent<V> e)` Called to inform the listener that the specified vertex have been visited during the graph traversal.

- - ### Method Detail

    - #### connectedComponentFinished

          void connectedComponentFinished(ConnectedComponentTraversalEvent e)

      Called to inform listeners that the traversal of the current connected component has finished.
      Parameters:
        `e` - the traversal event.

    - #### connectedComponentStarted

          void connectedComponentStarted(ConnectedComponentTraversalEvent e)

      Called to inform listeners that a traversal of a new connected component has started.
      Parameters:
        `e` - the traversal event.

    - #### edgeTraversed

          void edgeTraversed(EdgeTraversalEvent<V,E> e)

      Called to inform the listener that the specified edge have been visited during the graph traversal. Depending on the traversal algorithm, edge might be visited more than once.
      Parameters:
        `e` - the edge traversal event.

    - #### vertexTraversed

          void vertexTraversed(VertexTraversalEvent<V> e)

      Called to inform the listener that the specified vertex have been visited during the graph traversal. Depending on the traversal algorithm, vertex might be visited more than once.
      Parameters:
        `e` - the vertex traversal event.

    - #### vertexFinished

          void vertexFinished(VertexTraversalEvent<V> e)

      Called to inform the listener that the specified vertex have been finished during the graph traversal. Exact meaning of "finish" is algorithm-dependent; e.g. for DFS, it means that all vertices reachable via the vertex have been visited as well.
      Parameters:
        `e` - the vertex traversal event.

Copyright © 2016. All rights reserved.